Subject: Re: [PATCH 0/4] Fix forcedeth hibernate/wake-on-lan problems

From: David Brownell <[email-masked]>
Date: Wed, 4 Jun 2008 19:38:01 -0700

On Saturday 31 May 2008, Pavel Machek wrote:
> 
> > Yeah; under ACPI, PCI does not act like it does everywhere else.
> > Nor does wakeup in general.
> > 
> > After sending patches to fix that for a couple years now, I'm
> > well past being tired of doing that.  I suggest it's overdue for
> > the ACPI team to get this part of their act together.
> 
> I'm afraid you expect too much from the acpi team.

I'm likewise "afraid" that may be too much to expect.

If that's true, it's going to be even harder making
the cross-platform Linux PM framework do what it needs
to do.  Having various devices (not just laptop lids or
power buttons, or RTC alarms) wake systems from low power
states is pretty fundamental to the "P" part of ACPI.
And it's not like wakeup events are unique to ACPI.

> If you can't merge 
> patches yourself, perhaps someone interested (Tobias? me?) can push
> them for you?

I kind of think the ACPI team needs to just become more
responsive.  They helped Windows do this stuff; why has
Linux only seen delays and obstacles in this area?